'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.MediaLinkFull = exports.MediaLink = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _reactLifecycleComponent = require('react-lifecycle-component');

var _atpReactTabRouter = require('atp-react-tab-router');

var _media = require('../reducer/media');

var _atpPointfree = require('atp-pointfree');

var _reactFontAwesome = require('react-font-awesome-5');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MediaLink = exports.MediaLink = function MediaLink(props) {
    return _react2.default.createElement(_atpReactTabRouter.Link, _extends({}, props, {
        to: '/media/file/' + props.media.id,
        label: _react2.default.createElement(
            'span',
            null,
            _react2.default.createElement(_reactFontAwesome.Icon.Image, null),
            ' Media "',
            props.media.fileName,
            '.',
            props.media.fileExtension,
            '"'
        ),
        target: 'new'
    }));
};

var MediaLinkFull = exports.MediaLinkFull = (0, _reactRedux.connect)(function (state, props) {
    return {
        page: (0, _media.Media)().select.one((0, _atpPointfree.get)(state), props.mediaId)
    };
})(function (_ref) {
    var media = _ref.media;
    return _react2.default.createElement(
        MediaLink,
        { media: media },
        _react2.default.createElement(
            'span',
            { style: { whiteSpace: "nowrap" } },
            _react2.default.createElement(_reactFontAwesome.Icon.Image, null),
            ' ',
            media.fileName,
            '.',
            media.extension
        )
    );
});