"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require("react-bootstrap");

var _reduxForm = require("redux-form");

var _atpUi = require("atp-ui");

var _reactFontAwesome = require("react-font-awesome-5");

var _atpUac = require("atp-uac");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (props) {
    return _react2.default.createElement(
        _atpUac.HasPermission,
        { permissions: ["media.file.create"] },
        _react2.default.createElement(
            "form",
            {
                onChange: function onChange() {
                    return setTimeout(props.handleSubmit, 0);
                },
                style: { display: "inline", position: "relative" }
            },
            _react2.default.createElement(_reduxForm.Field, {
                name: "file",
                placeholder: "Upload file",
                component: _atpUi.FileInput,
                style: {
                    position: "absolute",
                    top: "-9px",
                    left: 0,
                    display: "block",
                    height: "35px",
                    width: props.showText ? "84px" : "20px",
                    opacity: 0,
                    zIndex: 999
                } }),
            _react2.default.createElement(
                _reactBootstrap.Button,
                {
                    bsStyle: "link",
                    bsSize: props.bsSize || null,
                    onClick: function onClick() {},
                    disabled: props.isUploading,
                    style: { marginTop: "-4px" }
                },
                props.isUploading ? _react2.default.createElement(_reactFontAwesome.Icon.Spinner, { spin: true, fixedWidth: true }) : _react2.default.createElement(_reactFontAwesome.Icon.Upload, { fixedWidth: true }),
                props.showText ? " Upload" : ""
            )
        )
    );
};