"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactRedux = require("react-redux");

var _image = require("../components/image");

var _image2 = _interopRequireDefault(_image);

var _connector = require("./image/connector");

var _connector2 = _interopRequireDefault(_connector);

var _atpConfig = require("atp-config");

var _atpConfig2 = _interopRequireDefault(_atpConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _reactRedux.connect)(function (state, props) {
    return {
        width: props.width || false,
        height: props.height || false,
        resize: props.height && props.width ? " - " + props.width + "x" + props.height : "",
        host: _atpConfig2.default.get('media.staticHost')
    };
})((0, _connector2.default)(_image2.default));