"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Media = exports.SELECT_MEDIA = exports.mediaName = exports.mediaType = undefined;

var _atpReduxEntity = require("atp-redux-entity");

var _atpSugar = require("atp-sugar");

//Entity types
var mediaType = exports.mediaType = 'mediaFile';
var mediaName = exports.mediaName = 'media';

//Action types
var SELECT_MEDIA = exports.SELECT_MEDIA = "atp-media/media/select";

//REST selectors and actions
var Media = exports.Media = function Media() {
    return (0, _atpSugar.o)((0, _atpReduxEntity.entityBoilerplate)(mediaType, mediaName)).as(function (media) {
        return (0, _atpSugar.o)(media).merge({
            action: {
                select: function select(mediaId) {
                    return { type: SELECT_MEDIA, mediaId: mediaId };
                }
            }
        }).raw;
    });
};