'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactFontAwesome = require('react-font-awesome-5');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
    var image = _ref.image,
        resize = _ref.resize,
        width = _ref.width,
        height = _ref.height,
        host = _ref.host;
    return image ? _react2.default.createElement('img', {
        src: '//' + host + '/' + (image.s3Prefix ? image.s3Prefix + " - " : "") + image.fileName + resize + '.' + image.fileExtension,
        className: 'img-responsive',
        width: width ? width : undefined,
        height: height ? height : undefined
    }) : _react2.default.createElement(_reactFontAwesome.Icon.Image, { size: '5x' });
};