'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

var _create = require('../../containers/media/form/create');

var _create2 = _interopRequireDefault(_create);

var _image = require('../../containers/image');

var _image2 = _interopRequireDefault(_image);

var _reactFontAwesome = require('react-font-awesome-5');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
    var title = _ref.title,
        imageId = _ref.imageId,
        image = _ref.image,
        loginToken = _ref.loginToken,
        onSave = _ref.onSave,
        width = _ref.width,
        height = _ref.height,
        uploadOnly = _ref.uploadOnly;
    return _react2.default.createElement(
        _reactBootstrap.Panel,
        null,
        _react2.default.createElement(
            _reactBootstrap.Panel.Heading,
            null,
            _react2.default.createElement(_reactFontAwesome.Icon.Image, null),
            ' ',
            title,
            _react2.default.createElement(
                'div',
                { style: { float: "right" } },
                !uploadOnly && _react2.default.createElement(
                    _reactBootstrap.Button,
                    { bsStyle: 'link', type: 'submit', style: { marginTop: "-4px" }, onClick: function onClick() {
                            alert("Not implemented yet. :(");
                        } },
                    _react2.default.createElement(_reactFontAwesome.Icon.Search, { fixedWidth: true })
                ),
                _react2.default.createElement(_create2.default, { showText: false, imageId: imageId, onUpload: function onUpload(data) {
                        return onSave(data.results.id);
                    } })
            )
        ),
        _react2.default.createElement(
            _reactBootstrap.Panel.Body,
            null,
            _react2.default.createElement(
                _reactBootstrap.Row,
                null,
                _react2.default.createElement(
                    _reactBootstrap.Col,
                    { xs: 12 },
                    imageId && image && _react2.default.createElement(
                        'div',
                        null,
                        _react2.default.createElement(_image2.default, { imageId: image.id, width: width, height: height }),
                        _react2.default.createElement(
                            'span',
                            null,
                            image.name
                        )
                    ),
                    !imageId && _react2.default.createElement(_reactFontAwesome.Icon.Image, { size: '5x' })
                )
            )
        ),
        _react2.default.createElement(
            _reactBootstrap.Panel.Footer,
            null,
            imageId && image && _react2.default.createElement(
                'div',
                null,
                image.fileName,
                '.',
                image.fileExtension
            )
        )
    );
};