"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactLifecycleComponent = require("react-lifecycle-component");

var _details = require("../../components/media/details");

var _details2 = _interopRequireDefault(_details);

var _media = require("../../reducer/media");

var _atpPointfree = require("atp-pointfree");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _reactLifecycleComponent.connectWithLifecycle)(function (state, props) {
    return {
        media: (0, _media.Media)().select.one((0, _atpPointfree.get)(state), props.fileId)
    };
}, function (dispatch, props) {
    return {
        componentDidMount: function componentDidMount() {
            dispatch((0, _media.Media)().action.fetch(props.fileId));
        },
        onMediaDelete: function onMediaDelete() {
            dispatch((0, _media.Media)().action.delete(props.fileId));
        },
        updateImage: function updateImage(data, dispatch) {
            dispatch((0, _media.Media)().action.update(props.fileId, data));
        }
    };
})(_details2.default);