"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _reactRedux = require("react-redux");

var _reduxForm = require("redux-form");

var _media = require("../../../reducer/media");

var _create = require("../../../components/media/form/create");

var _create2 = _interopRequireDefault(_create);

var _atpUi = require("atp-ui");

var _atpPointfree = require("atp-pointfree");

var _uploads = require("../../../reducer/uploads");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var redux = (0, _reactRedux.connect)(function (state, props) {
    return {
        isUploading: (0, _uploads.isUploading)((0, _atpPointfree.get)(state), props.id)
    };
}, function (dispatch, props) {
    return {};
});

var form = (0, _reduxForm.reduxForm)({
    form: 'new-media-form-' + Math.random(),
    onSubmit: function onSubmit(data, dispatch, props) {
        return dispatch(function (dispatch, getState) {
            dispatch((0, _uploads.uploadStart)(props.id));
            (0, _atpUi.encodeFile)(data.file).then(function (file) {
                (props.imageId ? (0, _media.Media)().action.update(props.imageId, file) : (0, _media.Media)().action.create(file))(dispatch, getState).then(function (_ref) {
                    var _ref2 = _slicedToArray(_ref, 1),
                        data = _ref2[0];

                    dispatch((0, _uploads.uploadComplete)(props.id));
                    (props.onUpload || function () {})(data);
                }).catch(function () {
                    dispatch((0, _uploads.uploadComplete)(props.id));
                });
            });
        });
    }
});

exports.default = (0, _atpPointfree.compose)(redux, form)(_create2.default);